import { Component, EventEmitter, OnInit, Output } from '@angular/core';
import { Assignment } from '../assignment.model';

@Component({
  selector: 'app-add-assignment',
  templateUrl: './add-assignment.component.html',
  styleUrls: ['./add-assignment.component.css'],
})
export class AddAssignmentComponent implements OnInit {
  @Output() nouvelAssignment = new EventEmitter<Assignment>();

  // Pour les champs du formulaire
  nom = '';
  dateDeRendu = null;

  constructor() {}

  ngOnInit(): void {}

  onSubmit(event) {
    // event.target -> élément html qui a généré l'événement
    // event.currentTarget
    // event.preventDefault();
    // event.stopPropagation();

    console.log("Dans onSubmit() !");
    if((!this.nom) || (!this.dateDeRendu)) return;

    let nouvelAssignment = new Assignment();
    nouvelAssignment.nom = this.nom;
    nouvelAssignment.dateDeRendu = this.dateDeRendu;
    nouvelAssignment.rendu = false;

   // this.assignments.push(nouvelAssignment);
   // on envoie un événement "custom" appelé "nouvelAssignment" vers les potentiels écouteurs
   // En fait c'est forcément un composant qui a déclaré le composant courant dans son template
   this.nouvelAssignment.emit(nouvelAssignment);
  }

}
