import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { Assignment } from '../assignment.model';

@Component({
  selector: 'app-assignment-detail',
  templateUrl: './assignment-detail.component.html',
  styleUrls: ['./assignment-detail.component.css']
})
export class AssignmentDetailComponent implements OnInit {
  // passé sous forme d'attribut HTML
  @Input() assignmentTransmis:Assignment;
  @Output() deleteAssignment = new EventEmitter<Assignment>();

  constructor() { }

  ngOnInit(): void {
  }

  onAssignmentRendu() {
    this.assignmentTransmis.rendu = true;
    //this.assignmentTransmis = null;
  }

  onDelete() {
    // on emet vers le père
    this.deleteAssignment.emit(this.assignmentTransmis);
    
    // on cache l'affichage du détail
    this.assignmentTransmis = null;
  }
}
